extend ../../../../ComponentesPug/FormulariosSinListados/Plantilla2.pug

block variables
    - var Titulo = "{{ tTitulo }}"

block contenido
  div.row
    div.col-12.col-lg-4
      div.form-row
        div.form-group.col-12
          div.ControlInput
            div.ControlInput--ContenedorIcono
              span.ControlInput--ContenedorIcono-Icono
                i.fas.fa-search
            input(type="text",
              placeholder="Ingrese busqueda",
              [(ngModel)]="tFiltroBusqueda",
              size="sm").ControlInput--Input
      div.form-row
        div.form-group.col-12
          ng-container(*ngFor="let tArticuloFor of tArticulos | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag")
            app-fw-consulta-articulo-listado(
              [Articulo]="tArticuloFor",
              [Actual]="tArticuloFor.Codarticulo === tArticuloActual.Codarticulo ? true : false",
              (seleccionarArticulo)="SeleccionarArticulo($event)")
      div.form-row
        div.form-group.col-12
          ngb-pagination(aria-label="Default pagination",
                          [collectionSize]="tArticulos.length",
                          [(page)]="tPagina",
                          [pageSize]="tTamanoPag",
                          size="sm").d-flex.justify-content-center
    div.col-12.col-lg-8
      div.form-row
        div.form-group.col-12
          app-fw-consulta-articulo-detalle([Articulo]="tArticuloActual", [Empresa]="tEmpresaActual")
